SecondaryZones

Endpoints related to secondary zones

Retrieve secondary zones

get

Returns a list of the secondary DNS zones for the customer. Default limit is the first 100 items. Use pagination query parameters for listing more items (up to 1000).

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
filter.statestring · enumOptional

The list of possible provisioning states in which DNS resource could be at the specific time.

  • AVAILABLE - resource exists and is healthy.
  • PROVISIONING - resource is being created or updated.
  • DESTROYING - delete command was issued, the resource is being deleted.
  • FAILED - creation of the resource failed.
Possible values:
filter.zoneNamestringOptional

Filter used to fetch only the zones that contain the specified zone name.

Example: example.com
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100
Responses
get
/secondaryzones

Create a secondary zone

post

Creates a new secondary zone with default NS and SOA records. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:

  • IPv4: 212.227.123.25

  • IPv6: 2001:8d8:fe:53::5cd:25

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Body
Responses
chevron-right
202

Successful operation.

application/json
idstring · uuidRequired

The zone ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
post
/secondaryzones

Retrieve a secondary zone

get

Returns a DNS secondary zone by given ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
get
/secondaryzones/{secondaryZoneId}

Update a secondary zone

put

Updates or creates a secondary zone for the provided secondary Zone ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Body
Responses
chevron-right
202

Successful operation.

application/json
idstring · uuidRequired

The zone ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
put
/secondaryzones/{secondaryZoneId}

Delete a secondary zone

delete

Deletes the specified secondary zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
202

Successful operation.

application/json
objectOptional
delete
/secondaryzones/{secondaryZoneId}

Get status of zone transfer

get

Get status of zone transfer. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:

  • IPv4: 212.227.123.25

  • IPv6: 2001:8d8:fe:53::5cd:25

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
202

Successful operation.

application/json

Indicates, for secondary zones, the transfer status for each one single IP defined on primaryIps field

typestring · enumRequiredPossible values:
get
/secondaryzones/{secondaryZoneId}/axfr

Start zone transfer

put

Initiate zone transfer. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:

  • IPv4: 212.227.123.25

  • IPv6: 2001:8d8:fe:53::5cd:25

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
202

Successful operation.

application/json
objectOptional
put
/secondaryzones/{secondaryZoneId}/axfr

Last updated

Was this helpful?